Package com.sun.jna.platform.win32

## Class Sspi.SecPkgContext_Sizes

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Sspi.SecPkgContext_Sizes

- Direct Known Subclasses:
    `Sspi.SecPkgContext_Sizes.ByReference`
  Enclosing interface:
    Sspi

      @FieldOrder({"cbMaxToken","cbMaxSignature","cbBlockSize","cbSecurityTrailer"})
      public static class Sspi.SecPkgContext_Sizes
      extends Structure

  The SecPkgContext_Sizes structure indicates the sizes of important structures used in the message support functions.

  The `Secur32.QueryContextAttributes(com.sun.jna.platform.win32.Sspi.CtxtHandle, int, com.sun.jna.Structure)` function uses this structure.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Sspi.SecPkgContext_Sizes.ByReference` |

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `cbBlockSize` | Specifies the preferred integral size of the messages.
    `int` | `cbMaxSignature` | Specifies the maximum size of the signature created by the MakeSignature function.
    `int` | `cbMaxToken` | Specifies the maximum size of the security token used in the authentication exchanges.
    `int` | `cbSecurityTrailer` | Size of the security trailer to be appended to messages.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SecPkgContext_Sizes()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `toString()` | If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cbMaxToken

          public int cbMaxToken

      Specifies the maximum size of the security token used in the authentication exchanges.

    - #### cbMaxSignature

          public int cbMaxSignature

      Specifies the maximum size of the signature created by the MakeSignature function. This member must be zero if integrity services are not requested or available.

    - #### cbBlockSize

          public int cbBlockSize

      Specifies the preferred integral size of the messages. For example, eight indicates that messages should be of size zero mod eight for optimal performance. Messages other than this block size can be padded.

    - #### cbSecurityTrailer

          public int cbSecurityTrailer

      Size of the security trailer to be appended to messages. This member should be zero if the relevant services are not requested or available.

  - ### Constructor Detail

    - #### SecPkgContext_Sizes

          public SecPkgContext_Sizes()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Structure`
      If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.
      Overrides:
        `toString` in class `Structure`
      Returns:
        String representation of this object.